# $Id: 001_load.t,v 1.1.1.1 2003/01/10 00:08:09 struan Exp $
# check module loading

use Test::More tests => 3;

BEGIN { use_ok( 'Foo2Mail' ); }

my $object = Foo2Mail->new(
    fetch   =>  sub { return 1 },
    to_fetch    =>  { foo   =>  'bar' },
    to      =>  [ 'foo@example.com' ],
    no_auto =>  1,
) or warn $Foo2Mail::ERROR;

isa_ok ($object, 'Foo2Mail');

can_ok('Foo2Mail', qw(new init process fetch is_new add_to_content 
                      format send store cleanup error fatal_error
                      get_email _generate_mail));
