# $Id: 007_mail_fail_new.t,v 1.1 2003/03/22 04:53:10 struan Exp $

use Test::More tests => 1;

eval {
    require Test::MockObject;
};

SKIP: {
    skip "Test::MockObject not installed", 1 if $@;

    my $sent;
    my $mock = Test::MockObject->new();
    $mock->fake_module('MIME::Lite', new => sub { return undef; });

    use Foo2Mail;

    unlink 't/test/foo/foo';

    my $f2m = Foo2Mail->new(
        fetch   =>  sub { return { name => 'foo', id => 'foo', content => 'foo' }},
        to_fetch => { foo => 'foo' },
        base_dir => 't/test',
        warn_errors => 0,
        to  =>  'struan'
    );

    is($Foo2Mail::ERROR, 'Problem initalising mail object', 'broken mail object caught');
}
