# $Id: 008_send.t,v 1.1 2003/03/22 04:53:10 struan Exp $

use Test::More tests => 1;

eval {
    require Test::MockObject;
};

SKIP: {
    skip "Test::MockObject not installed", 1 if $@;

    my $sent;
    my $mock = Test::MockObject->new();
    $mock->fake_module('MIME::Lite', send => sub { $sent = 1; });

    use Foo2Mail;

    unlink 't/foo/foo';

    my $f2m = Foo2Mail->new(
        fetch   =>  sub { return { name => 'foo', id => 'foo', content => 'foo' }},
        to_fetch => { foo => 'foo' },
        base_dir => 't/test',
        to  =>  'struan'
    );

    ok($sent, 'mail sent');
}
